; Test Drawing assembly language
;
; Assembled with 'FWASM.exe'  (C) Brian Guralnick
;
; OP-Code Instruction structure inside the file 'instr.txt'
;
; Follow Microchip's PIC16/18 assembler mnemonic
;
; Compile line            "fwasm drawing.asm"
; The output file will be "drawings.bin'
; The output file         "drawings.lst' shows the generated opcode and error codes.
;
; *** THE COMPILER WILL PLACE 8 BYTES of 0x0 AT THE BEGINNING OF THE .BIN FILE
;
;
; Warning, DEFAULT RADDIX IS HEXADECIMAL
;
; Use d'xxx'        to enter a decimal value
; Use b'0101010100' to enter a binary value
;

	org	0000 ; Power up vector

start

; *************************************************************************************
; ** Draw a dot at coordinates (100,100) with palette color 15
; *************************************************************************************
	set_x		0,d'100'	; set x0 register to 100
	set_y		0,d'100'	; set y0 register to 100
	plot_dot	d'15' 		; plot a dot with palette color 15


; *************************************************************************************
; ** Draw an outlined box with an outline (200,200)-(300,300) with palette color 15
; *************************************************************************************
	set_x		0,d'200'	; set x0 register to 200
	set_y		0,d'200'	; set y0 register to 200
	set_x		1,d'300'	; set x1 register to 300
	set_y		1,d'300'	; set y1 register to 300
	plot_box	d'14' 		; plot a box with palette color 14


; *************************************************************************************
; ** Draw a filled box with winthin (225,225)-(275,275) with palette color 15
; *************************************************************************************
	set_x		0,d'225'	; set x0 register to 225
	set_y		0,d'225'	; set y0 register to 225
	set_x		1,d'275'	; set x1 register to 275
	set_y		1,d'275'	; set y1 register to 275
	plot_box_fill	d'15' 		; plot a filled box with palette color 15

